node-gyp (9.3.0-3) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.2, no changes needed.
  * Add fix for node-https-proxy-agent >= 7

 -- Yadd <yadd@debian.org>  Thu, 23 Nov 2023 11:27:59 +0400

node-gyp (9.3.0-2) unstable; urgency=medium

  * Team upload
  * Replace node-whatwg-fetch by node-fetch and update patch

 -- Yadd <yadd@debian.org>  Thu, 24 Nov 2022 12:16:34 +0100

node-gyp (9.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 9.3.0
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 22 Nov 2022 16:30:48 +0100

node-gyp (9.2.0-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * New upstream version 9.2.0

  [ Yadd ]
  * Declare compliance with policy 4.6.1

 -- Jérémy Lal <kapouer@melix.org>  Tue, 04 Oct 2022 12:59:41 +0200

node-gyp (9.1.0-1) unstable; urgency=medium

  [ Yadd ]
  * Set upstream metadata fields: Security-Contact.

  [ Jérémy Lal ]
  * New upstream version 9.1.0
  * Remove false positives overrides

 -- Jérémy Lal <kapouer@melix.org>  Sat, 16 Jul 2022 15:57:33 +0200

node-gyp (9.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 9.0.0
  * Add lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 02 Mar 2022 11:13:05 +0100

node-gyp (8.4.1-1) unstable; urgency=medium

  * Team upload

  [ Jérémy Lal ]
  * New upstream version 8.4.1
  * Update patch to use node-fetch
  * Depends node-fetch

  [ Yadd ]
  * Update nodejs dependency to nodejs:any
  * autopkgtest: use autopkgtest-pkg-nodejs.conf instead of custom control

 -- Yadd <yadd@debian.org>  Sun, 12 Dec 2021 18:38:21 +0100

node-gyp (7.1.2-5) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle

 -- Yadd <yadd@debian.org>  Thu, 04 Nov 2021 09:14:01 +0100

node-gyp (7.1.2-4) unstable; urgency=medium

  * Team upload
  * Disable download test

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 22:07:26 +0100

node-gyp (7.1.2-3) unstable; urgency=medium

  * Team upload
  * Render node-request optional (Closes: #958690)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 Jan 2021 18:36:19 +0100

node-gyp (7.1.2-2) unstable; urgency=medium

  * Team upload
  * Increase test timeout (fixes autopkgtest for arm64)
  * Set upstream metadata fields: Bug-Submit.
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch

 -- Xavier Guimard <yadd@debian.org>  Wed, 18 Nov 2020 15:42:16 +0100

node-gyp (7.1.2-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * New upstream version 7.1.2

 -- Xavier Guimard <yadd@debian.org>  Wed, 04 Nov 2020 17:34:00 +0100

node-gyp (7.0.0-1) unstable; urgency=medium

  * New upstream version 7.0.0
  * Depends gyp that supports python3
    Drop python2 detection patch. Closes: #962469.
  * Drop very old mention of node-waf

 -- Jérémy Lal <kapouer@melix.org>  Thu, 11 Jun 2020 11:31:53 +0200

node-gyp (6.1.0-3) unstable; urgency=medium

  * Team upload
  * Remove Testsuite (fixes debci)

 -- Xavier Guimard <yadd@debian.org>  Sat, 07 Mar 2020 07:47:58 +0100

node-gyp (6.1.0-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Declare compliance with policy 4.5.0
  * Bump debhelper compatibility level to 12

 -- Xavier Guimard <yadd@debian.org>  Thu, 20 Feb 2020 23:49:17 +0100

node-gyp (6.1.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 6.1.0
  * Use pkg-js-tools auto install
  * Remove unneeded fix-for-semver-7 patch
  * Embed env-paths for test only
  * Update copyright
  * Use pkg-js-autopkgtest to test installed files

 -- Xavier Guimard <yadd@debian.org>  Sun, 02 Feb 2020 20:30:25 +0100

node-gyp (6.0.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Tue, 31 Dec 2019 12:46:56 +0100

node-gyp (6.0.1-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

  [ Xavier Guimard ]
  * New upstream version 6.0.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add fix for node-semver ≥ 7

 -- Xavier Guimard <yadd@debian.org>  Thu, 26 Dec 2019 13:06:54 +0100

node-gyp (6.0.0-2) unstable; urgency=medium

  * Patch to use python 2 as default
    Because gyp debian package does not support python 3 yet.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 21 Oct 2019 22:43:07 +0200

node-gyp (6.0.0-1) unstable; urgency=medium

  * New upstream version 6.0.0
  * Install in /usr/share/nodejs (Closes: #932797).
  * Drop tar 3 patch
  * test using tap instead of tape
  * Patch to not depend on unavailable env-paths
  * Patch to disable test not working during debian build

 -- Jérémy Lal <kapouer@melix.org>  Mon, 21 Oct 2019 15:38:07 +0200

node-gyp (3.8.0-6) unstable; urgency=medium

  * Upstream test suite depends on build-essential

 -- Jérémy Lal <kapouer@melix.org>  Mon, 04 Mar 2019 00:51:30 +0100

node-gyp (3.8.0-5) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Remove the Breaks:node-modern-syslog added in the previous
    upload: it was a workaround to avoid ci testing regression.

  [ Jérémy Lal ]
  * Upstream support for node-tar 3 (Closes: #921625)
  * Drop node-fstream dependency, unneeded with tar3-compat.patch
  * Add upstream test suite to autopkgtests

 -- Jérémy Lal <kapouer@melix.org>  Sat, 02 Mar 2019 23:11:39 +0100

node-gyp (3.8.0-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Remove useless dependency versions
  * Update debian/copyright format link
  * Add upstream/metadata
  * Add Breaks: node-modern-syslog (<< 1.1.4-2)

 -- Xavier Guimard <yadd@debian.org>  Mon, 28 Jan 2019 16:40:25 +0100

node-gyp (3.8.0-3) unstable; urgency=medium

  * Depends libnode-dev instead of nodejs-dev (Closes:#920517)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 26 Jan 2019 14:23:07 +0100

node-gyp (3.8.0-2) unstable; urgency=medium

  * Patch to add -lnode ldflag
    dh_makeshlibs will be able to pick proper dependency on libnodeXX
    provided it picks the *.node library extension.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 02 Jan 2019 01:09:39 +0100

node-gyp (3.8.0-1) unstable; urgency=medium

  * No longer depend on minimatch
  * New upstream version 3.8.0
  * Refresh patches
  * Standards-Version 4.2.1

 -- Jérémy Lal <kapouer@melix.org>  Sat, 29 Sep 2018 20:52:09 +0200

node-gyp (3.6.2-2) unstable; urgency=medium

  * Move to salsa
  * Drop unapplied patch
  * Standards-Version 4.1.4
  * Remove escaped quotes in tests/control (Closes: #894941)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 31 May 2018 14:11:29 +0200

node-gyp (3.6.2-1) unstable; urgency=medium

  * New upstream version 3.6.2
  * Update patches, remove patch for python applied upstream
  * Bump dh to 9
  * section: javascript
  * priority: optional
  * Standards-Version: 4.1.1
  * Drop nodejs shebang patch

 -- Jérémy Lal <kapouer@melix.org>  Wed, 22 Nov 2017 22:31:39 +0100

node-gyp (3.4.0-1) unstable; urgency=medium

  * Imported Upstream version 3.4.0
  * Standards-Version 3.9.8

 -- Jérémy Lal <kapouer@melix.org>  Fri, 01 Jul 2016 01:27:24 +0200

node-gyp (3.3.1-2) unstable; urgency=medium

  * Fix permission of executable

 -- Jérémy Lal <kapouer@melix.org>  Sat, 12 Mar 2016 14:31:05 +0100

node-gyp (3.3.1-1) unstable; urgency=medium

  * Imported Upstream version 3.3.1
  * Secure Vcs url
  * Standards-Version 3.9.7
  * Add Autopkgtest control

 -- Jérémy Lal <kapouer@melix.org>  Fri, 11 Mar 2016 19:26:29 +0100

node-gyp (3.0.3-2) unstable; urgency=medium

  * Patch: disable gmake on all platforms

 -- Jérémy Lal <kapouer@melix.org>  Tue, 22 Sep 2015 10:39:59 +0200

node-gyp (3.0.3-1) unstable; urgency=medium

  * Imported Upstream version 3.0.3

 -- Jérémy Lal <kapouer@melix.org>  Fri, 18 Sep 2015 21:21:47 +0200

node-gyp (3.0.1-2) unstable; urgency=medium

  * Depend gyp gyp_0.1+20150913git1f374df9 for --no-parallel
    option support. (Closes: #799389)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 18 Sep 2015 21:18:03 +0200

node-gyp (3.0.1-1) unstable; urgency=medium

  * Update upstream url
  * No need to remove node_modules, no longer included
  * Stop removing gyp as well, but keep using system gyp
  * Imported Upstream version 3.0.1~dfsg
  * Standards-Version 3.9.6
  * Refresh patches
  * Fix mangle version in watch file
  * Patch away path-array thanks to using system gyp
  * Install node-gyp as a node module as well

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Sep 2015 01:16:12 +0200

node-gyp (0.12.2+ds-1) unstable; urgency=medium

  * Upstream update.
  * Standards-Version 3.9.5
  * Watch and download tarball from github instead of npm registry.
  * copyright: remove gyp and node_modules using Files-Excluded,
    this simplifies greatly copyright maintenance.
  * Add 2003 patch to set -fPIC also on ia32. Closes: #740569.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 03 Mar 2014 01:59:52 +0100

node-gyp (0.10.10-2) unstable; urgency=low

  * 1001 patch: use make on kfreebsd, not gmake

 -- Jérémy Lal <kapouer@melix.org>  Thu, 19 Sep 2013 12:25:29 +0200

node-gyp (0.10.10-1) unstable; urgency=low

  * Upstream update
  * Revert all 0.10.9-2 changes, were wrongly working around
    gyp bug #722678.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 17 Sep 2013 02:07:35 +0200

node-gyp (0.10.9-2) unstable; urgency=low

  * Install gyp launcher instead of using usr/bin/gyp
    (gyp now ships a bash script, not a python script)
  * Depends on python

 -- Jérémy Lal <kapouer@melix.org>  Wed, 04 Sep 2013 14:20:14 +0200

node-gyp (0.10.9-1) unstable; urgency=low

  * Upstream update
  * Refresh 2002 patch
  * control:
    + remove dependency on node-inherits
    + add dependency on node-osenv
    + tighten dependencies on node-graceful-fs, node-semver
    + canonicalize Vcs fields

 -- Jérémy Lal <kapouer@melix.org>  Fri, 16 Aug 2013 21:25:56 +0200

node-gyp (0.9.5-2) experimental; urgency=low

  * Losen dependency on nodejs and nodejs-dev.
  * Recommends: build-essential instead of depending on g++, make.
    Related to #681356.
  * Install package.json
  * Symlinks usr/bin/gyp to usr/share/node-gyp/gyp/gyp.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Apr 2013 19:19:46 +0200

node-gyp (0.9.5-1) experimental; urgency=low

  * Upstream update.
  * Add dependency on nodejs.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 27 Apr 2013 16:41:06 +0200

node-gyp (0.9.2-1) experimental; urgency=low

  * Initial release (Closes: #664836)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 Mar 2013 17:03:25 +0100
